# Debitoren

{% hint style="danger" %}
Die Endpunkte der Version 1.2 sind momentan in der Entwicklung und können noch Änderungen erfahren.
{% endhint %}

## Debitoren abrufen

#### Version 1.2

***

## GET /openwowi/v1.2/AccountancyMasterData/Debitors

>

```json
{"openapi":"3.0.4","info":{"title":"OpenWowi","version":"V1.2"},"security":[{"Authorization":[]}],"components":{"securitySchemes":{"Authorization":{"type":"oauth2","description":"Use username and password.","flows":{"password":{"tokenUrl":"../oauth2/token","scopes":{}}}}},"schemas":{"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.DebitorDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"DebitorNumber":{"type":"string","nullable":true},"CashDiscountPercent1":{"type":"number","format":"decimal","nullable":true},"CashDiscountPercent2":{"type":"number","format":"decimal","nullable":true},"CashDiscountPercent3":{"type":"number","format":"decimal","nullable":true},"MaturityDefault":{"type":"integer","format":"int32","nullable":true},"MaturityIn1Day":{"type":"integer","format":"int32","nullable":true},"MaturityIn2Day":{"type":"integer","format":"int32","nullable":true},"MaturityIn3Day":{"type":"integer","format":"int32","nullable":true},"AllocateOpenItemsAutomatically":{"type":"boolean"},"AvailableForAllManagements":{"type":"boolean"},"Locked":{"type":"boolean"},"DunningBlock":{"type":"boolean"},"PaymentsExclusion":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"DefaultSalesTax":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.SalesTaxSlimDto"},"IsVarious":{"type":"boolean"},"Description":{"type":"string","nullable":true},"Person":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonRoleDto"},"DefaultAddress":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AddressDto"},"SelectedIndividualManagement":{"type":"array","items":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.DebitorManagementDto"},"nullable":true},"PersonId":{"type":"integer","format":"int32"},"DefaultBankaccount":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonBankAccountDto"},"AccessibilityId":{"type":"integer","format":"int32","nullable":true},"BankAccountId":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.SalesTaxSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonRoleDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"IdNum":{"type":"string","nullable":true},"Shortname":{"type":"string","nullable":true},"Name":{"type":"string","nullable":true},"NodeId":{"type":"integer","format":"int32","nullable":true},"TaxNumber":{"type":"string","nullable":true},"TaxIdentificationNumber":{"type":"string","nullable":true},"ValidFrom":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"ValidTo":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"IsNaturalPerson":{"type":"boolean"},"NaturalPerson":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.NaturalPersonDto"},"LegalPerson":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.LegalPersonDto"},"Addresses":{"type":"array","items":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AddressDto"},"nullable":true},"Communications":{"type":"array","items":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommunicationDto"},"nullable":true},"BankAccounts":{"type":"array","items":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonBankAccountDto"},"nullable":true},"FirstEmailCommunication":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommunicationDto"},"FirstLandlinePhoneCommunication":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommunicationDto"},"FirstMobilePhoneCommunication":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommunicationDto"}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.NaturalPersonDto":{"type":"object","properties":{"Title":{"type":"string","nullable":true},"FirstName":{"type":"string","nullable":true},"LastName":{"type":"string","nullable":true},"BirthName":{"type":"string","nullable":true},"CareOf":{"type":"string","nullable":true},"BirthDate":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"DeathDate":{"type":"string","format":"date-time","nullable":true},"Gender":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.GenderDto"},"MaritalType":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.MaritalTypeDto"},"Nationality":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CountryDto"},"PersonInCare":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonUltraSlimDto"},"ContactFor":{"type":"array","items":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.LegalPersonSlimDto"},"nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.GenderDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.MaritalTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CountryDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonUltraSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"IdNum":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.LegalPersonSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"IdNum":{"type":"string","nullable":true},"LongName1":{"type":"string","nullable":true},"LongName2":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.LegalPersonDto":{"type":"object","properties":{"LongName1":{"type":"string","nullable":true},"LongName2":{"type":"string","nullable":true},"VatId":{"type":"string","nullable":true},"CommercialRegisterNumber":{"type":"string","nullable":true},"CommercialRegisterTown":{"type":"string","nullable":true},"ContractPersons":{"type":"array","items":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.NaturalPersonSlimDto"},"nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.NaturalPersonSlimDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"IdNum":{"type":"string","nullable":true},"FirstName":{"type":"string","nullable":true},"LastName":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AddressDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Zip":{"type":"string","nullable":true},"Town":{"type":"string","nullable":true},"Street":{"type":"string","nullable":true},"HouseNumber":{"type":"string","nullable":true},"HouseNumberAddition":{"type":"string","nullable":true},"ValidFrom":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"ValidTo":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"StreetComplete":{"type":"string","nullable":true},"HouseNumberComplete":{"type":"string","nullable":true},"MainAddress":{"type":"boolean"},"AddressType":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AddressTypeDto"},"Country":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CountryDto"}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.AddressTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommunicationDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"RelatedAddressId":{"type":"integer","format":"int32","nullable":true},"Content":{"type":"string","nullable":true},"Explanation":{"type":"string","nullable":true},"RelatedAddress":{"type":"string","nullable":true},"CommunicationType":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommunicationTypeDto"}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.CommunicationTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.PersonBankAccountDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Iban":{"type":"string","nullable":true},"Bic":{"type":"string","nullable":true},"AccountHolder":{"type":"string","nullable":true},"ValidFrom":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date"},"ValidTo":{"pattern":"\\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])","type":"string","format":"date","nullable":true},"BankAccountType":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BankAccountTypeDto"},"BankAccountId":{"type":"integer","format":"int32"},"BankAccountUsageType":{"$ref":"#/components/schemas/Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BankAccountUsageTypeDto"}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BankAccountTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Persons.Bll.Services.RestApiServices.OpenWowi.Dto_V1_2.BankAccountUsageTypeDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"Code":{"type":"string","nullable":true}},"additionalProperties":false},"Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.DebitorManagementDto":{"type":"object","properties":{"Id":{"type":"integer","format":"int32"},"IdNum":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/openwowi/v1.2/AccountancyMasterData/Debitors":{"get":{"tags":["OpenWowi AccountancyMasterData"],"operationId":"AccountancyMasterData_GetDebitors","parameters":[{"name":"apiKey","in":"query","schema":{"type":"string"}},{"name":"limit","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"offset","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"id","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"companyCodeId","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"managementId","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"debitorNumber","in":"query","schema":{"type":"string"}},{"name":"personId","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"includeMainAddress","in":"query","schema":{"type":"boolean","default":false}},{"name":"includeMainCommunication","in":"query","schema":{"type":"boolean","default":false}},{"name":"includeMainBankaccount","in":"query","schema":{"type":"boolean","default":false}},{"name":"includePersonAddresses","in":"query","schema":{"type":"boolean","default":false}},{"name":"includePersonCommunications","in":"query","schema":{"type":"boolean","default":false}},{"name":"includePersonBankAccounts","in":"query","schema":{"type":"boolean","default":false}},{"name":"includeIndividualSelectedManagement","in":"query","schema":{"type":"boolean","default":false}},{"name":"showNullValues","in":"query","schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.DebitorDto"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.DebitorDto"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Accountancy.Bll.Services.RestAPIServices.OpenWowi.Dto_V1_2.DebitorDto"}}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"application/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"text/json":{"schema":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}}},"401":{"description":"Unauthorized"}}}}}}
```

***

Enumeratoren für Personendaten finden Sie unter "[Personen lesen](https://docs.openwowi.de/schnittstelle-v1.x/personendaten/kataloge)".
